# makefile
# This is the makefile for DOS
#
# If you want to run LTOOLgui, please set JAVAC and JAR

#########################################################################
# Needed for LTOOLgui, the graphical user interface for LREAD
# JAVA compiler (tested with JDK 1.2.2)
# (paths and CLASSPATH must have been setup correctly)
JAVAC=javac -O
JAR=jar
#
##########################################################################

####no user configurable items below this line############################

all:            LTOOLSgui

LTOOLSgui:
		$(JAVAC) LTOOLSGui.java
		$(JAR)   -cf LTOOLSgui.jar  *.class
		rm -f ../../bin.unx/LTOOLgui.jar
		cp LTOOLSgui.jar  ../../bin.unx
		cp LTOOLSgui.sh 	 ../../bin.unx
		cp LTOOLSgui*.htm ../../bin.unx
#               cp runit.bat   	 ../../bin.unx
		cp images/*.gif  ../../bin.unx/images
		cp LTOOLSapplet.htm ../../bin.unx
		cp .java.policy	../../bin.unx

clean:
		rm -f *.bak
		rm -f *.class
		rm -f *.jar
		rm -f zzz.*
		rm -f ..\..\bin\zzz.*
